Chromium Code Reviews
Help | Chromium Project | Sign in
(167)

Issue 10984040: Enable gpu crash tests in content (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 6 months ago by yongsheng
Modified:
1 year, 5 months ago
CC:
chromium-reviews_chromium.org, joi+watch-content_chromium.org, darin-cc_chromium.org
Visibility:
Public.

Description

Enable gpu crash tests in content

Use content and content shell for gpu crash tests

BUG=
TEST=content_browsertests


Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=165622

Patch Set 1 #

Patch Set 2 : small change #

Total comments: 1

Patch Set 3 : refine #

Total comments: 1

Patch Set 4 : no new files #

Total comments: 5

Patch Set 5 : comments removal #

Total comments: 5

Patch Set 6 : remove 'DISABLED_' #

Patch Set 7 : Add TODO #

Total comments: 1

Patch Set 8 : remove todo #

Patch Set 9 : expose the symbol of kSkipGpuDataLoading to avoid compile errors #

Unified diffs Side-by-side diffs Delta from patch set Stats (+32 lines, -137 lines) Lint Patch
D chrome/test/data/gpu/webgl.html View 1 chunk +0 lines, -108 lines 0 comments ? errors Download
M chrome/test/gpu/gpu_crash_browsertest.cc View 2 chunks +2 lines, -1 line 0 comments 0 errors Download
A + content/browser/gpu/gpu_crash_browsertest.cc View 1 2 3 4 5 7 4 chunks +27 lines, -28 lines 0 comments 2 errors Download
M content/content_tests.gypi View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments ? errors Download
M content/public/common/content_switches.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments ? errors Download
M content/public/test/browser_test_base.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -0 lines 0 comments ? errors Download
A + content/test/data/gpu/webgl.html View 0 chunks +-1 lines, --1 lines 0 comments ? errors Download
Commit:

Messages

Total messages: 42
yongsheng
please help review. thanks.
1 year, 6 months ago #1
yongsheng
On 2012/09/27 02:09:57, yongsheng wrote: > please help review. thanks. test two cases on my ...
1 year, 6 months ago #2
yongsheng
On 2012/09/27 09:31:25, yongsheng wrote: > On 2012/09/27 02:09:57, yongsheng wrote: > > please help ...
1 year, 6 months ago #3
Zhenyao Mo
On 2012/09/27 09:41:47, yongsheng wrote: > On 2012/09/27 09:31:25, yongsheng wrote: > > On 2012/09/27 ...
1 year, 6 months ago #4
jam
On 2012/09/27 17:33:08, Zhenyao Mo wrote: > On 2012/09/27 09:41:47, yongsheng wrote: > > On ...
1 year, 6 months ago #5
jam
so is the plan that there will be two copies of the test until gpu_tests ...
1 year, 6 months ago #6
yongsheng
On 2012/09/27 17:33:08, Zhenyao Mo wrote: > On 2012/09/27 09:41:47, yongsheng wrote: > > On ...
1 year, 6 months ago #7
yongsheng
On 2012/09/27 18:40:38, John Abd-El-Malek wrote: > On 2012/09/27 17:33:08, Zhenyao Mo wrote: > > ...
1 year, 6 months ago #8
yongsheng
seems i don't have the permission to use try server with 'git try'.
1 year, 6 months ago #9
yongsheng
On 2012/09/28 08:13:24, yongsheng wrote: > seems i don't have the permission to use try ...
1 year, 6 months ago #10
jam
https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h File content/public/test/test_launcher_utils.h (right): https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h#newcode1 content/public/test/test_launcher_utils.h:1: // Copyright (c) 2011 The Chromium Authors. All rights ...
1 year, 6 months ago #11
Zhenyao Mo
On 2012/09/28 02:33:43, yongsheng wrote: > On 2012/09/27 18:40:38, John Abd-El-Malek wrote: > > On ...
1 year, 6 months ago #12
yongsheng
On 2012/09/28 15:48:46, John Abd-El-Malek wrote: > https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h > File content/public/test/test_launcher_utils.h (right): > > https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h#newcode1 ...
1 year, 6 months ago #13
yongsheng
On 2012/09/29 01:17:02, yongsheng wrote: > On 2012/09/28 15:48:46, John Abd-El-Malek wrote: > > > ...
1 year, 6 months ago #14
yongsheng
> > > i don't know why you created this file, i mentioned in my ...
1 year, 6 months ago #15
yongsheng
I'll be on holiday next week.
1 year, 6 months ago #16
jam
https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (right): https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode20 content/browser/gpu/gpu_crash_browsertest.cc:20: // SimulateGPUCrash owns the passed 'shell', this should be ...
1 year, 6 months ago #17
yongsheng
thanks for review. http://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (right): http://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode20 content/browser/gpu/gpu_crash_browsertest.cc:20: // SimulateGPUCrash owns the passed 'shell', ...
1 year, 6 months ago #18
yongsheng
On 2012/10/11 02:08:46, yongsheng wrote: > thanks for review. > > http://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc > File content/browser/gpu/gpu_crash_browsertest.cc ...
1 year, 6 months ago #19
jam
https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (right): https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode55 content/browser/gpu/gpu_crash_browsertest.cc:55: SimulateGPUCrash(shell.get()); On 2012/10/11 02:08:47, yongsheng wrote: > On 2012/10/01 ...
1 year, 6 months ago #20
yongsheng
On 2012/10/17 15:17:15, John Abd-El-Malek wrote: > https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc > File content/browser/gpu/gpu_crash_browsertest.cc (right): > > https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode55 ...
1 year, 6 months ago #21
Zhenyao Mo
Sorry for the delayed response: I am out of office for a few days. Yes, ...
1 year, 6 months ago #22
yongsheng
thanks for review. http://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (left): http://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc#oldcode27 content/browser/gpu/gpu_crash_browsertest.cc:27: chrome::SelectPreviousTab(browser); On 2012/10/22 22:54:33, Zhenyao Mo ...
1 year, 6 months ago #23
Zhenyao Mo
LGTM On 2012/10/23 05:51:42, yongsheng wrote: > thanks for review. > > http://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc > File ...
1 year, 6 months ago #24
yongsheng
On 2012/10/23 17:56:12, Zhenyao Mo wrote: > LGTM > > On 2012/10/23 05:51:42, yongsheng wrote: ...
1 year, 6 months ago #25
jam
https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (left): https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc#oldcode27 content/browser/gpu/gpu_crash_browsertest.cc:27: chrome::SelectPreviousTab(browser); On 2012/10/23 05:51:42, yongsheng wrote: > On 2012/10/22 ...
1 year, 6 months ago #26
Zhenyao Mo
On 2012/10/24 20:13:04, John Abd-El-Malek wrote: > https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc > File content/browser/gpu/gpu_crash_browsertest.cc (left): > > https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc#oldcode27 ...
1 year, 6 months ago #27
apatrick_chromium
On 2012/10/24 20:20:03, Zhenyao Mo wrote: > On 2012/10/24 20:13:04, John Abd-El-Malek wrote: > > ...
1 year, 6 months ago #28
yongsheng
On 2012/10/26 01:06:01, apatrick_chromium wrote: > On 2012/10/24 20:20:03, Zhenyao Mo wrote: > > On ...
1 year, 6 months ago #29
Zhenyao Mo
So please remove the comments and let's land this.
1 year, 5 months ago #30
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/47001
1 year, 5 months ago #31
I haz the power (commit-bot)
Presubmit check for 10984040-47001 failed and returned exit status 1. Running presubmit commit checks ...
1 year, 5 months ago #32
yongsheng
On 2012/10/28 01:52:16, I haz the power (commit-bot) wrote: > Presubmit check for 10984040-47001 failed ...
1 year, 5 months ago #33
jam
lgtm
1 year, 5 months ago #34
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/47001
1 year, 5 months ago #35
I haz the power (commit-bot)
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
1 year, 5 months ago #36
yongsheng
please review the patch. The only change is to expose the symbol of kSkipGpuDataLoading to ...
1 year, 5 months ago #37
Zhenyao Mo
On 2012/10/30 08:45:25, yongsheng wrote: > please review the patch. The only change is to ...
1 year, 5 months ago #38
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/58002
1 year, 5 months ago #39
I haz the power (commit-bot)
Retried try job too often for step(s) interactive_ui_tests
1 year, 5 months ago #40
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/58002
1 year, 5 months ago #41
I haz the power (commit-bot)
1 year, 5 months ago #42
Change committed as 165622
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1280:2d3e6564b7b6